=== build/debian/control ===
Source: dolibarr
Section: web
Priority: optional
Maintainer: Laurent Destailleur (eldy) <eldy@users.sourceforge.net>
# Uploaders: Laurent Destailleur (eldy) <eldy@users.sourceforge.net>		# Only if differs from Maintainer
Standards-Version: 3.9.6
Homepage: https://www.dolibarr.org
Build-Depends: debhelper (>= 9), po-debconf
# This package need at least debian 7 or ubuntu 13.04 or any distribution based on this version
 
Package: dolibarr
Architecture: all
# For debian 7 or 8 or 9
Depends: libapache2-mod-php5 | libapache2-mod-php5filter | php5-cgi | php5-fpm | php5 | libapache2-mod-php | libapache2-mod-phpfilter | php-cgi | php-fpm | php,
    php5-cli | php-cli,
# Required PHP extensions
    php5-mysql | php5-mysqli | php-mysql | php-mysqli, php5-curl | php-curl, php5-gd | php-gd, php5-ldap | php-gd, php5-zip | php-zip,
# Required PHP libraries
    php-pear, php-mail-mime,
#    php-tcpdf,
#    libfpdf-tpl-php, php-fpdf,
#    libphp-adodb,
#    libnusoap-php,
#    libphp-pclzip,
# Required javascript libraries
#    javascript-common, libjs-jquery, libjs-jquery-ui, libjs-jquery-flot, ckeditor,
# Misc dependencies
#    fonts-dejavu-core | ttf-dejavu-core,
    xdg-utils,
    mariadb-client | virtual-mysql-client,
    ${misc:Depends},
    ${perl:Depends}
Recommends: apache2 | lighttpd | httpd,
    mariadb-server | virtual-mysql-server,
# Required PHP extensions for debian 9 but we can't add them into a Depends, it does not exists on debian 7 and 8
    php-xml, php-mbstring, php-intl
Suggests: www-browser, php5-geoip
Description: Web based software to manage a company or foundation
 Dolibarr ERP & CRM is an easy to use open source/free software package for 
 companies, foundations or freelances. It includes different 
 features for Enterprise Resource Planning (ERP) and Customer Relationship
 Management (CRM) but also for different other activities.
 .
 It's a web software you can install as a standalone program or on any web
 hosting provider to use it from anywhere with any web browser.
 .
 Dolibarr was designed to be easy to use. Only the features that you need
 are visible, depending on which modules were activated.
 .
 This is an example of most common used modules:
 .
 Customers, Suppliers or Prospects directory,
 Contacts directory,
 Orders management,
 Commercial proposals management,
 Invoices management,
 Products and services catalog,
 Stock management,
 Foundations members management,
 Bank accounts management,
 Point of Sale,
 Payments management,
 Commercial actions management,
 Contracts management,
 Standing orders management,
 Shipping management,
 Donations management,
 Bookmarks management,
 Mass Emailings,
 Reports,
 Wizards to export and import data,
 LDAP connectivity,
 PDF exports,
 And a lot more modules...
 .
 You can also add external modules from third parties or develop yours.
